% least-squares demo

clear;

% region

% lune parameters
x1=0;y1=0;r1=1;x2=0.5;y2=0;r2=0.8;

% % symm lens
% omega=pi/3;
% r=1;a=0;b=0;delta=2*cos(omega);
% A=[r 0;-r 0]; B=[0 r;0 r]; C=[a b;a+delta b];

degmin=3;degmax=24;step=3;
for n=degmin:step:degmax

% wam 

% lune
wam=wamlune(n,x1,y1,r1,x2,y2,r2);

% % symm lens
% wam=wamblend(n,A,B,C,-omega,omega);

% control mesh
k=4;
cmesh=wamlune(k*n,x1,y1,r1,x2,y2,r2);
% cmesh=wamblend(k*n,A,B,C,-omega,omega);

% computing the least-squares polynomial
fval=testf(wam(:,1),wam(:,2));
[cfs,lsp] = wamfit(n,wam,cmesh,fval);

% error estimate
cfval=testf(cmesh(:,1),cmesh(:,2));
err(n)=norm(lsp-cfval)/norm(cfval);
deg=n
error=err(n)

end

