function [Q,R1,R2] = wamdop(deg,wam,rect);

% by Alvise Sommariva and Marco Vianello, University of Padova
% October 2014, updated October 2015

% computes discrete orthogonal polynomials up to degree deg 
% on the mesh wam: Q is the corresponding orthogonal matrix, 
% inv(R1)*inv(R2) the orthogonalization matrix 

if isempty(rect) 
rect(1)=min(wam(:,1));
rect(2)=max(wam(:,1));
rect(3)=min(wam(:,2));
rect(4)=max(wam(:,2));
if length(wam(1,:)) == 3
rect(5)=min(wam(:,3));
rect(6)=max(wam(:,3));
end;    
end

V=chebvand(deg,wam,rect);
[Q1,R1]=qr(V,0);
[Q,R2]=qr(V/R1,0);

end


