function [cfs,lsp] = wamfit(deg,wam,pts,fval);

% by Alvise Sommariva and Marco Vianello, University of Padova
% October 2014

% computes the coefficients and the values at the points pts 
% of a polynomial of degree at most deg that fits the values fval 
% at the nodes wam 

both=[wam;pts];
rect(1)=min(both(:,1));
rect(2)=max(both(:,1));
rect(3)=min(both(:,2));
rect(4)=max(both(:,2));
if length(both(1,:)) == 3
rect(5)=min(both(:,3));
rect(6)=max(both(:,3));
end;    

[Q,R1,R2]=wamdop(deg,wam,rect);
cfs=Q'*fval;
%cfs=Q\fval;
DOP=wamdopeval(deg,R1,R2,pts,rect);
lsp=DOP*cfs;

end


