function leb = wamleb(deg,wam,cmesh,rect);

% by Alvise Sommariva and Marco Vianello, University of Padova
% October 2014

% computes the Lebesgue constant of least-squares polynomial fitting   
% on wam, using the control mesh cmesh

both=[wam;cmesh];
if isempty(rect)
rect(1)=min(both(:,1));
rect(2)=max(both(:,1));
rect(3)=min(both(:,2));
rect(4)=max(both(:,2));
if length(both(1,:)) == 3
rect(5)=min(both(:,3));
rect(6)=max(both(:,3));
end;    
end

[Q,R1,R2]=wamdop(deg,wam,rect);
DOP=wamdopeval(deg,R1,R2,cmesh,rect);
leb=norm(Q*DOP',1);

end 


